#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	Writer
Summary:	XML::Writer perl module
Summary(pl.UTF-8):	Moduł perla XML::Writer
Name:		perl-XML-Writer
Version:	0.615
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/XML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c905db1c397b52455a82a45d2296fdc2
URL:		http://search.cpan.org/dist/XML-Writer/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Simple >= 0.047
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Writer - module for writing XML documents.

%description -l pl.UTF-8
XML::Writer - moduł do pisania dokumentów XML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/XML/Writer.pm
%{_mandir}/man3/XML::Writer.3pm*
%changelog
* Tue Jul 04 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-XML-Writer.git;a=log;h=master

* Sat Jun 30 2012 Jakub Bogusz <qboosh@pld-linux.org> bc8cd12
- tests BR, verbose man files

* Fri Jan 27 2012 zbyniu <zbyniu@pld-linux.org> bb96d02
- up to 0.615

* Fri Jul 01 2011 marti <marti@pld-linux.org> 94b667a
- up to 0.612

* Thu Oct 08 2009 amateja <amateja@pld-linux.org> d278310
- updated to 0.606

* Thu Mar 29 2007 radek <radek@pld-linux.org> 5cabbcb
- version 0.602

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 49c8c13
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 23b4c21
- converted to UTF-8

* Thu Sep 21 2006 Elan Ruusamäe <glen@pld-linux.org> 3e33c2d
- 0.601, generic url

* Tue May 31 2005 petec <petec@pld-linux.org> 851cf53
- up to 0.545

* Thu May 05 2005 ankry <ankry@pld-linux.org> 9d91780
- updated to 0.530

* Fri Dec 03 2004 radek <radek@pld-linux.org> 1e8d3c0
- autoupdated to 0.520

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 5db3661
- formatting

* Thu May 27 2004 Adam Gołębiowski <adamg@pld-linux.org> 1880d46
- updated to 0.510

* Fri May 07 2004 ankry <ankry@pld-linux.org> 4a2cf57
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> 2aad191
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 5bf174c
- added tests, license fix, cosmetics

* Sun Mar 14 2004 Adam Gołębiowski <adamg@pld-linux.org> da626e4
- updated to 0.500

* Sat Mar 06 2004 Adam Gołębiowski <adamg@pld-linux.org> 1ae8bf5
- updated to 0.4.6

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 7ebca23
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 146cca6
- mass commit: cosmetics (removed trailing white spaces)

